# ApiAdhocSnapshot Data Model

An adhoc snapshot descriptor.

Properties
name | data type | description
--- | --- | ---
snapshotName | string | Snapshot name.
hbaseSnapshot | ApiAdhocHBaseSnapshot |

Example

    {
      "snapshotName" : "...",
      "hbaseSnapshot" : {
        "sourceAccount" : "...",
        "sourceTable" : "...",
        "sourceSchedulerPool" : "...",
        "sourceService" : {
          "peerName" : "...",
          "clusterName" : "...",
          "clusterDisplayName" : "...",
          "serviceName" : "...",
          "serviceDisplayName" : "...",
          "serviceType" : "..."
        },
        "sourceNumMappers" : 12345,
        "sourceBandwidthPerMap" : 12345,
        "exportSnapshotUser" : "..."
      }
    }